## com.trilead.ssh2.packets
Class TypesReader

    java.lang.Object
      com.trilead.ssh2.packets.TypesReader

    public class TypesReader

extends java.lang.Object

TypesReader.

Constructor Summary
`TypesReader(byte[] arr)`
`TypesReader(byte[] arr, int off)`
`TypesReader(byte[] arr, int off, int len)`

Method Summary
`boolean` `readBoolean()`
`int` `readByte()`
`void` `readBytes(byte[] dst, int off, int len)`
`byte[]` `readBytes(int len)`
`byte[]` `readByteString()`
`java.math.BigInteger` `readMPINT()`
`java.lang.String[]` `readNameList()`
`java.lang.String` `readString()`
`java.lang.String` `readString(java.lang.String charsetName)`
`int` `readUINT32()`
`long` `readUINT64()`
`int` `remain()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypesReader

    public TypesReader(byte[] arr)

### TypesReader

    public TypesReader(byte[] arr,
                       int off)

### TypesReader

    public TypesReader(byte[] arr,
                       int off,
                       int len)

Method Detail

### readByte

    public int readByte()
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### readBytes

    public byte[] readBytes(int len)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### readBytes

    public void readBytes(byte[] dst,
                          int off,
                          int len)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### readBoolean

    public boolean readBoolean()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### readUINT32

    public int readUINT32()
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### readUINT64

    public long readUINT64()
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### readMPINT

    public java.math.BigInteger readMPINT()
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### readByteString

    public byte[] readByteString()
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### readString

    public java.lang.String readString(java.lang.String charsetName)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### readString

    public java.lang.String readString()
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### readNameList

    public java.lang.String[] readNameList()
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### remain

    public int remain()